For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
Help CenterAPI KeysStatusSign In
GuidesAPI ReferenceChangelog
GuidesAPI ReferenceChangelog
  • Introduction
    • Getting started
  • Email API
      • POSTAdd a new domain to the list of blocked domains
      • DELUnblock an existing domain from the list of blocked domains
      • GETGet the list of blocked domains
  • Transactional SMS
  • Transactional WhatsApp
  • Marketing Campaigns
  • Contact Management
  • Events
    • GETGet events
    • POSTCreate an event
    • POSTCreate events in batch
  • Object Management
  • Accounts and Settings
  • Sales CRM
  • Conversations
  • Ecommerce
  • Loyalty
LogoLogo
Help CenterAPI KeysStatusSign In
Email APIBlocked email domains

Get the list of blocked domains

GET
https://api.brevo.com/v3/smtp/blockedDomains
GET
/v3/smtp/blockedDomains
1import { BrevoClient } from "@getbrevo/brevo";
2
3async function main() {
4 const client = new BrevoClient({
5 apiKey: "YOUR_API_KEY_HERE",
6 });
7 await client.transactionalEmails.getBlockedDomains();
8}
9main();
1{
2 "domains": [
3 "example.com",
4 "testdomain.com"
5 ]
6}
Get the list of blocked domains
Was this page helpful?
Previous

Get the list of all the events for the received emails.

Next
Built with

Authentication

api-keystring

The API key should be passed in the request headers as api-key for authentication.

Response

List of blocked domains
domainslist of strings
List of all blocked domains

Errors

400
Bad Request Error